import javax.swing.*;
import java.util.*;
import java.awt.*;
//import java.awt.event.*;

class PanneauRaccourcis extends JDialog{// implements KeyListener{
	
	
	private JScrollPane scroll;
	
	private JList raccourcisJList=new JList();
	
	private Vector raccourcisVct=new Vector();
	
	Font police=new Font("Arial",Font.PLAIN,12);
	
	
	private ParcheminFond pfond=new ParcheminFond();
	
	public PanneauRaccourcis(){
		
		Container c=getContentPane();
		c.setLayout(null);
		
		raccourcisJList.setFont(police);
		
		scroll = new JScrollPane(raccourcisJList);
		scroll.setBounds(10,10,400,600);
		c.add(scroll);
		
		miseAJourRaccourcis("SHORTCUTS ARE CASE SENSITIVE");
		miseAJourRaccourcis(" ");
		miseAJourRaccourcis("Alt l = switch english/français");
		miseAJourRaccourcis(" ");
		miseAJourRaccourcis("789");
		miseAJourRaccourcis("4 6");
		miseAJourRaccourcis("123 = mouvements");
		miseAJourRaccourcis(" ");
		miseAJourRaccourcis("789");
		miseAJourRaccourcis("456");
		miseAJourRaccourcis("123 = direction action");
		miseAJourRaccourcis(" ");
		
		miseAJourRaccourcis("i = inventory/ inventaire ");
		miseAJourRaccourcis("z = spellbook / grimoire");
		
		miseAJourRaccourcis("Z = cast a spell / lancer un sort");
		miseAJourRaccourcis("c = close 	/ fermer");
		miseAJourRaccourcis("o = open 	/ ouvrir");
		miseAJourRaccourcis(", = get 	/ prendre");
		miseAJourRaccourcis("d = drop 	/ deposer");
		miseAJourRaccourcis("espace = pass turn / passer son tour");
		miseAJourRaccourcis("w = equip weapon 	/ equiper arme");
		miseAJourRaccourcis("W = put on armor 	/ equiper armure");
		miseAJourRaccourcis("x = release weapon / lacher arme");
		miseAJourRaccourcis("T = take off 	/ enleve armure");
		miseAJourRaccourcis("a = apply 		/ utiliser");
		miseAJourRaccourcis("A = activate (lever, teleporter,etc) 	/ activer (levier, teleporteur, etc)");
		miseAJourRaccourcis("+ = increase parry / augmenter parade");
		miseAJourRaccourcis("- = decrease parry / diminuer parade");
		miseAJourRaccourcis("k = kick 	/ coup de pied");
		miseAJourRaccourcis("f = fire,throw 	/ tirer,lancer");
		miseAJourRaccourcis("q = quaff 	/ boire");
		miseAJourRaccourcis("e = eat 	/ manger");
		miseAJourRaccourcis("l = loot 	/ fouiller un contenant (coffre, sac, mobilier, etc)");
		miseAJourRaccourcis("> = down 	/ descendre");
		miseAJourRaccourcis("< = up 	/ monter");
		miseAJourRaccourcis("s = search / chercher");
		miseAJourRaccourcis("r = read 	/ lire");
		miseAJourRaccourcis("Alt u = trap, untrap / activer/desactiver piege");
		miseAJourRaccourcis("S = save 	/ sauvegarder partie");
		miseAJourRaccourcis("L = load 	/ charger partie");
		miseAJourRaccourcis("? = shortcuts 	/ raccourcis");
		miseAJourRaccourcis("; = look 	/ regarder/obtenir des informations sur quelque chose");
		miseAJourRaccourcis("h = stealth mode / mode discretion");
		miseAJourRaccourcis("t = switch trees display / alterner affichage des arbres");
		miseAJourRaccourcis("ESC = close a popup window / fermer une fenetre popup");
		miseAJourRaccourcis("Alt p = step sounds on/off  / bruit des pas on/off");
		miseAJourRaccourcis("Alt v = zoom out");
		miseAJourRaccourcis("Alt b = zoom in");
		miseAJourRaccourcis("Alt n = default zoom");
		miseAJourRaccourcis("v = vomit / vomir");
		
		miseAJourRaccourcis(" ");
		miseAJourRaccourcis("*********TEST*********");
		miseAJourRaccourcis(") = LOS off 	/ desactiver LOS");
		miseAJourRaccourcis("= = LOS on 	/ activer LOS");
		//miseAJourRaccourcis("i = increase night vision 	/ augmente vue nocturne");
		//miseAJourRaccourcis("u = decrease night vision 	/ diminue vue nocturne");
		miseAJourRaccourcis("j = day 	/ jour");
		miseAJourRaccourcis("n = night 	/ nuit");
		miseAJourRaccourcis("Alt g = garbage collector");
		
		
		pfond.setBounds(0,0,430,660);
		add(pfond);
		
		
		
		setTitle("Shortcuts");
		setLocation(5,5);
		setSize(430,660);
		show();
		
	}
	
	
	public void miseAJourRaccourcis(String r){
		
		raccourcisVct.add(r);
		
		raccourcisJList.setListData(raccourcisVct);
	}
	
	/*
	public void keyPressed(KeyEvent e){
		
		
		if (e.getKeyChar() == KeyEvent.VK_ESCAPE){
			dispose();
		}
	
	}
	public void keyReleased(KeyEvent e){}
	
	public void keyTyped(KeyEvent e){}	*/
		
}